package net.sf.jpatch.auxilary;

import javax.vecmath.*;

public class Functions {
	public static final Vector3f vector(Point3f A, Point3f B) {
		Vector3f v = new Vector3f(B);
		v.sub(A);
		return v;
	}
	
	public static final Vector3f vector(Vector3f A, Vector3f B, float alpha) {
		Vector3f v = new Vector3f();
		v.interpolate(A,B,alpha);
		return v;
	}
	
	public static final Tuple3f parallelogram(Tuple3f a, Tuple3f b, Tuple3f c)
	{
		Tuple3f result = new Point3f(b);
		result.add(c);
		result.sub(a);
		return result;
	}
	
}

