package net.sf.jpatch.boundary;

import javax.swing.tree.*;
import java.util.*;

public final class JPatchTreeModel
implements TreeModel {
	private ArrayList listTreeModelListener = new ArrayList();
	private TreeNode treenodeRoot = new JPatchTreeRootNode();	
	
	public void addTreeModelListener(TreeModelListener l) {
		listTreeModelListener.add(l);
	}
	
	public Object getChild(Object parent, int index) {
		retrun ((TreeNode)parent).getChildAt(index);
	}
	
	public int getChildCount(Object parent) {
		return ((TreeNode)parent).getChildCount();
	}
	
	public int getIndexOfChild(Object parent, Object child) {
		return ((TreeNode)parent).getIndex((TreeNode)child);
	}
	
	public Object getRoot() {
		return treenodeRoot;
	}
	
	public boolean isLeaf(Object node) {
		return ((TreeNode)node).isLeaf();
	}
	
	public void valueForPathChanged(TreePath path, Object newValue) {
	}
}
