package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.boundary.mouse.*;
import net.sf.jpatch.boundary.dialog.*;

public final class ChangeBiasAction extends AbstractAction {
	public ChangeBiasAction() {
		super("",new ImageIcon(ClassLoader.getSystemResource("net/sf/jpatch/images/tangents.png")));
		putValue(Action.SHORT_DESCRIPTION,"Change bias");
		//MainFrame.getInstance().getKeyEventDispatcher().setKeyActionListener(this,KeyEvent.VK_A);
	}
	public void actionPerformed(ActionEvent actionEvent) {
		MainFrame.getInstance().getJPatchScreen().removeAllMouseListeners();
		BiasDialog biasDialog = new BiasDialog();
		MainFrame.getInstance().setDialog(biasDialog);
		MainFrame.getInstance().getJPatchScreen().addMouseListeners(new ChangeBiasMouseAdapter(biasDialog));
	}
}

