package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import javax.swing.filechooser.*;

import net.sf.jpatch.boundary.*;

public final class ClearRotoscopeAction extends AbstractAction {
	private ViewDefinition viewDefinition;
	
	public ClearRotoscopeAction(ViewDefinition viewDefinition) {
		super("clear image");
		this.viewDefinition = viewDefinition;
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		MainFrame.getInstance().getModel().setRotoscope(viewDefinition.getView(),null);
		MainFrame.getInstance().getJPatchScreen().update_all();
	}
}

