package net.sf.jpatch.boundary.action;

import java.util.*;
import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.control.edit.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.boundary.selection.*;
import net.sf.jpatch.entity.*;

public final class CloneAction extends AbstractAction {
	public CloneAction() {
		super("",new ImageIcon(ClassLoader.getSystemResource("net/sf/jpatch/images/clone.png")));
		putValue(Action.SHORT_DESCRIPTION,KeyMapping.getDescription("clone"));
	}
	public void actionPerformed(ActionEvent actionEvent) {
		PointSelection ps = MainFrame.getInstance().getPointSelection();
		if (ps != null && !ps.isSingle()) {
			//PointSelection newPs = MainFrame.getInstance().getModel().clone(ps.getControlPointArray());
			//MainFrame.getInstance().setSelection(newPs);
			JPatchCompoundEdit compoundEdit = new NewCloneEdit(ps.getControlPointArray());
			if (compoundEdit.size() > 0) {
				MainFrame.getInstance().getUndoManager().addEdit(compoundEdit);
			}
			//MainFrame.getInstance().setSelection(null);
			MainFrame.getInstance().getJPatchScreen().update_all();
		}
	}
}
