package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;

public final class LightingStickyAction extends AbstractAction {
	private JPatchScreen screen;
	
	public LightingStickyAction(JPatchScreen screen) {
		super("Stick to camera");
		this.screen = screen;
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		screen.setStickyLight(!screen.isStickyLight());
		JPatchSettings.getInstance().bStickyLight = screen.isStickyLight();
	}
}

