package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.boundary.mouse.*;
import net.sf.jpatch.boundary.tools.*;
import net.sf.jpatch.control.edit.*;

public final class MagnetAction extends AbstractAction {
	public MagnetAction() {
		super("",new ImageIcon(ClassLoader.getSystemResource("net/sf/jpatch/images/magnet.png")));
		putValue(Action.SHORT_DESCRIPTION,KeyMapping.getDescription("magnet tool"));
	}
	public void actionPerformed(ActionEvent actionEvent) {
		if (MainFrame.getInstance().getSelection() != null) {
			JPatchCompoundEdit compoundEdit = new JPatchCompoundEdit();
			compoundEdit.addEdit(new ChangeSelectionEdit(null));
			compoundEdit.addEdit(new ChangeToolEdit(null));
			MainFrame.getInstance().getUndoManager().addEdit(compoundEdit);
			MainFrame.getInstance().getJPatchScreen().update_all();
		}
		MainFrame.getInstance().getJPatchScreen().setTool(null);
		MainFrame.getInstance().getJPatchScreen().removeAllMouseListeners();
		MainFrame.getInstance().getJPatchScreen().addMouseListeners(new MagnetMouseAdapter());
	}
}

