package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import javax.swing.tree.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.entity.*;

public final class NewMorphAction extends AbstractAction {
	JPatchTreeNode treeNode;
	public NewMorphAction(JPatchTreeNode node) {
		super("New Morph");
		treeNode = node;
		//putValue(Action.SHORT_DESCRIPTION,"Add Controlpoint [A]");
		//MainFrame.getInstance().getKeyEventDispatcher().setKeyActionListener(this,KeyEvent.VK_A);
	}
	public void actionPerformed(ActionEvent actionEvent) {
		Morph morph = new Morph(Morph.MORPH,"New Morph");
		treeNode.add(morph);
		int[] aiIndex = new int[] { treeNode.getIndex(morph) };
		((DefaultTreeModel)MainFrame.getInstance().getTree().getModel()).nodesWereInserted(treeNode,aiIndex);
		TreePath path = morph.getTreePath();
		MainFrame.getInstance().getTree().makeVisible(path);
		//MainFrame.getInstance().getTree().validate();
		//MainFrame.getInstance().getJPatchScreen().removeAllMouseListeners();
		//MainFrame.getInstance().getJPatchScreen().addMouseListeners(new AddControlPointMouseAdapter());
		//MainFrame.getInstance().clearDialog();
	}
}

