package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import javax.swing.tree.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.boundary.selection.*;
import net.sf.jpatch.control.edit.*;

public final class NewSelectionAction extends AbstractAction {
	
	private static int iNum = 1;
	private Model model;

	public NewSelectionAction(Model model) {
		super("Add Current Selection");
		this.model = model;
		//putValue(Action.SHORT_DESCRIPTION,"Add Controlpoint [A]");
		//MainFrame.getInstance().getKeyEventDispatcher().setKeyActionListener(this,KeyEvent.VK_A);
	}
	public void actionPerformed(ActionEvent actionEvent) {
		//System.out.println("add selection");
		Selection selection = MainFrame.getInstance().getSelection();
		//System.out.println("1");
		//if (selection != null && model.addSelection(selection)) {
		//	selection.setName("new selection #" + iNum++);
		//	int[] aiIndex = new int[] { selection.getParent().getIndex(selection) };
		//	((DefaultTreeModel)MainFrame.getInstance().getTree().getModel()).nodesWereInserted(selection.getParent(),aiIndex);
		//	TreePath path = selection.getTreePath();
		//	MainFrame.getInstance().getTree().setSelectionPath(path);
		//	MainFrame.getInstance().getTree().makeVisible(path);
		//}
		//MainFrame.getInstance().getJPatchScreen().removeAllMouseListeners();
		//MainFrame.getInstance().getJPatchScreen().addMouseListeners(new AddControlPointMouseAdapter());
		//MainFrame.getInstance().clearDialog();
		if (selection != null && MainFrame.getInstance().getModel().checkSelection(selection)) {
			//System.out.println("2");
			selection.setName("new selection #" + iNum++);
			//System.out.println("3");
			JPatchUndoableEdit edit = new AddSelectionEdit(selection);
			//System.out.println("4");
			MainFrame.getInstance().getUndoManager().addEdit(edit);
			//System.out.println("5");
		}
	}
}

