package net.sf.jpatch.boundary.action;

import java.io.*;
import javax.swing.*;
import java.awt.event.*;
import net.sf.jpatch.auxilary.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.*;

public final class QuitAction extends AbstractAction {
	public QuitAction() {
		super("Quit");
	}
	public void actionPerformed(ActionEvent actionEvent) {
		if (MainFrame.getInstance().getUndoManager().hasChanged()) {
			int option = JPatchUtils.showSaveDialog();
			switch (option) {
				
				case JOptionPane.YES_OPTION:
					SaveAsAction saveAsAction = new SaveAsAction(false);
					if (saveAsAction.save()) {
						close();
					}
					break;
				
				case JOptionPane.NO_OPTION:
					close();
			}
		} else {
			close();
		}
	}
	
	private void close() {
		JPatchWindowAdapter jpatchWindowAdapter = new JPatchWindowAdapter();
		jpatchWindowAdapter.quit(MainFrame.getInstance());
	}
}

