package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.control.edit.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.boundary.tools.*;
import net.sf.jpatch.boundary.mouse.*;
import net.sf.jpatch.boundary.dialog.*;
import net.sf.jpatch.boundary.selection.*;

public final class RotateAction extends AbstractAction {
	public RotateAction() {
		super("",new ImageIcon(ClassLoader.getSystemResource("net/sf/jpatch/images/rot.png")));
		putValue(Action.SHORT_DESCRIPTION,KeyMapping.getDescription("rotate tool"));
		//MainFrame.getInstance().getKeyEventDispatcher().setKeyActionListener(this,KeyEvent.VK_A);
	}
	public void actionPerformed(ActionEvent actionEvent) {
		/*
		MainFrame.getInstance().getJPatchScreen().removeAllMouseListeners();
		JPatchCompoundEdit compoundEdit = new JPatchCompoundEdit();
		RotateDialog rotateDialog = new RotateDialog(compoundEdit);
		MainFrame.getInstance().setDialog(rotateDialog);
		MainFrame.getInstance().getJPatchScreen().addMouseListeners(new RotateMouseAdapter(rotateDialog, compoundEdit));
		*/
		PointSelection ps = MainFrame.getInstance().getPointSelection();
		if (ps != null && ps.getSize() > 1) {
			//MainFrame.getInstance().getJPatchScreen().setTool(new RotateTool());
			MainFrame.getInstance().getUndoManager().addEdit(new ChangeToolEdit(new RotateTool()));
		} else {
			MainFrame.getInstance().getMeshToolBar().reset();
		}
	}
}

