package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.boundary.mouse.*;

public final class SelectMoveBoneAction extends AbstractAction {
	public SelectMoveBoneAction() {
		super("",new ImageIcon(ClassLoader.getSystemResource("net/sf/jpatch/images/selectmovebone.png")));
		putValue(Action.SHORT_DESCRIPTION,"Select/Move [ESC]");
	}
	public void actionPerformed(ActionEvent actionEvent) {
		MainFrame.getInstance().getJPatchScreen().removeAllMouseListeners();
		MainFrame.getInstance().getJPatchScreen().addMouseListeners(new SelectMoveBoneMouseAdapter());
		MainFrame.getInstance().clearDialog();
	}
}

