package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;

public final class ShowPointsAction extends AbstractAction {
	private ViewDefinition viewDefinition;
	
	public ShowPointsAction(ViewDefinition viewDefinition) {
		super("points");
		this.viewDefinition = viewDefinition;
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		viewDefinition.renderPoints(!viewDefinition.renderPoints());
		viewDefinition.repaint();
	}
}

