package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;

public final class SyncScreensAction extends AbstractAction {
	private ViewDefinition viewDefinition;
	
	public SyncScreensAction() {
		super("synchronize views");
		//this.viewDefinition = viewDefinition;
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		JPatchScreen screen = MainFrame.getInstance().getJPatchScreen();
		screen.synchronize(!screen.isSynchronized());
		JPatchSettings.getInstance().bSyncWindows = screen.isSynchronized();
	}
}

