package net.sf.jpatch.boundary.action;

import javax.swing.*;
import java.awt.event.*;
import java.io.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.renderer.*;

public final class TestRenderTest2Action extends AbstractAction {
	public TestRenderTest2Action() {
		super("Bezier patch output");
	}
	public void actionPerformed(ActionEvent actionEvent) {
		JFileChooser fileChooser = new JFileChooser();
		if (fileChooser.showSaveDialog(MainFrame.getInstance()) == JFileChooser.APPROVE_OPTION) {
			File file = fileChooser.getSelectedFile();
			String filename = file.getPath();
			JPatchRenderer renderer = new TestRenderer2();
			renderer.writeToFile(filename);
		}
	}
}
