package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import javax.swing.tree.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.boundary.mouse.*;

public final class TestShowBoneTreeAction extends AbstractAction {
	public TestShowBoneTreeAction() {
		super("",new ImageIcon(ClassLoader.getSystemResource("net/sf/jpatch/images/bone.png")));
		putValue(Action.SHORT_DESCRIPTION,"Show bone tree");
	}
	public void actionPerformed(ActionEvent actionEvent) {
		//MainFrame.getInstance().getJPatchScreen().removeAllMouseListeners();
		//MainFrame.getInstance().getJPatchScreen().addMouseListeners(new MagnetMouseAdapter());
		//MainFrame.getInstance().switchMode(MainFrame.BONE);
		JFrame frame = new JFrame();
		frame.setSize(400,400);
		//frame.getContentPane().add(new JTree(new DefaultTreeModel(MainFrame.getInstance().getModel().getFirstBone())));
		Bone bone = MainFrame.getInstance().getModel().getFirstBone();
		if (bone != null) {
			frame.getContentPane().add(new JTree(bone.getRoot()));
			frame.show();
		}
	}
}

