package net.sf.jpatch.boundary.action;

import javax.swing.*;
import net.sf.jpatch.control.edit.*;
import java.awt.event.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.*;

public final class UndoAction extends AbstractAction {
	public UndoAction() {
		super("",new ImageIcon(ClassLoader.getSystemResource("net/sf/jpatch/images/undo.png")));
		putValue(Action.SHORT_DESCRIPTION,KeyMapping.getDescription("undo"));
	}
	public void actionPerformed(ActionEvent actionEvent) {
		JPatchUndoManager undoManager = MainFrame.getInstance().getUndoManager();
		if (undoManager.canUndo()) {
			undoManager.undo();
			MainFrame.getInstance().getJPatchScreen().update_all();
		}
	}
}
