package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;

public final class ViewAction extends AbstractAction {
	private ViewDefinition viewDefinition;
	private int iDirection;
	
	public ViewAction(ViewDefinition viewDefinition, int direction) {
		super(KeyMapping.getDescription(ViewDefinition.aViewName[direction]));
		this.viewDefinition = viewDefinition;
		iDirection = direction;
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		viewDefinition.setView(iDirection);
		viewDefinition.repaint();
	}
}

