package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;

public final class ViewKeyAction extends AbstractAction {
	private int iDirection;
	
	public ViewKeyAction(int direction) {
		super(ViewDefinition.aViewName[direction]);
		iDirection = direction;
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		ViewDefinition viewDefinition = MainFrame.getInstance().getJPatchScreen().getActiveViewport().getViewDefinition();
		viewDefinition.setView(iDirection);
		viewDefinition.repaint();
	}
}

