package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.boundary.mouse.*;

public final class ViewMoveAction extends AbstractAction {
	public ViewMoveAction() {
		super("",new ImageIcon(ClassLoader.getSystemResource("net/sf/jpatch/images/move.png")));
		putValue(Action.SHORT_DESCRIPTION,KeyMapping.getDescription("move view"));
	}
	public void actionPerformed(ActionEvent actionEvent) {
		MainFrame.getInstance().getJPatchScreen().removeAllMouseListeners();
		MainFrame.getInstance().getJPatchScreen().addMouseListeners(new ChangeViewMouseListener(MouseEvent.BUTTON1,ChangeViewMouseListener.MOVE));
	}
}

