package net.sf.jpatch.boundary.sidebar;

//import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.tree.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.boundary.action.*;

public class ModelPanel extends SidePanel
implements ChangeListener {
	
	JPatchInput inputName;
	Model model;
	
	public ModelPanel(Model model) {
		this.model = model;
		JPatchInput.setDimensions(50,150,20);
		inputName = new JPatchInput("Name:",model.getName());
		JPanel detailPanel = MainFrame.getInstance().getSideBar().getDetailPanel();
		detailPanel.removeAll();
		detailPanel.add(inputName);
		detailPanel.repaint();
		inputName.addChangeListener(this);
	}
	
	public void stateChanged(ChangeEvent changeEvent) {
		model.setName(inputName.getStringValue());
		((DefaultTreeModel)MainFrame.getInstance().getTree().getModel()).nodeChanged(model);
		MainFrame.getInstance().requestFocus();
	}
}

