package net.sf.jpatch.control.edit;

import java.util.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.selection.*;

/**
 * Use this class for changing selections (with the default tool)
 * @see AddControlPointsToSelection
 */

public class AddControlPointsToSelectionEdit extends AddOrRemoveControlPointsSelectionEdit {

	public AddControlPointsToSelectionEdit(PointSelection ps, Collection controlPoints) {
		super(ps,controlPoints);
		add();
	}
        
	public void undo() {
		remove();
	}
	
	public void redo() {
		add();
	}
}
