package net.sf.jpatch.control.edit;

import javax.swing.undo.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.*;

public class AddPatchEdit extends JPatchAbstractUndoableEdit {
	
	private Patch patch;
	
	public AddPatchEdit(Patch patch) {
		this.patch = patch;
		MainFrame.getInstance().getModel().addPatch(patch,null);
	}
	
	public String getPresentationName() {
		return "add patch";
	}
	
	public void undo() {
		patch.remove();
	}
	
	public void redo() {
		MainFrame.getInstance().getModel().addPatch(patch,null);
	}
}
