package net.sf.jpatch.control.edit;

import javax.swing.undo.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.*;

public class ValidateCurveEdit extends JPatchCompoundEdit {
	
	public ValidateCurveEdit(Curve curve) {
		super("");
		for (ControlPoint cp = curve.getStart(); cp != null; cp = cp.getNextCheckNextLoop()) {
			if (cp.getCurve() != curve) {
				addEdit(new ChangeCPCurveEdit(cp,curve));
			}
		}
	}
}
