package net.sf.jpatch.render;

import javax.vecmath.*;

public class RAmbientLight implements RLight {
	private final Color3f c3LightColor = new Color3f();
	
	public RAmbientLight(Color3f lightColor) {
		c3LightColor.set(lightColor);
	}
	
	public Color3f lightIntensity(Point3d position) {
		return c3LightColor;
	}
	
	public Vector3d lightDirection(Point3d position) {
		return null;
	}
	
	public boolean highlight() {
		return false;
	}
}
