package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.boundary.mouse.*;
import net.sf.jpatch.control.edit.*;

public final class AddControlPointAction extends AbstractAction {
	public AddControlPointAction() {
		super("",new ImageIcon(ClassLoader.getSystemResource("net/sf/jpatch/images/add.png")));
		putValue(Action.SHORT_DESCRIPTION,KeyMapping.getDescription("add point"));
		//MainFrame.getInstance().getKeyEventDispatcher().setKeyActionListener(this,KeyEvent.VK_A);
	}
	public void actionPerformed(ActionEvent actionEvent) {
		//MainFrame.getInstance().getJPatchScreen().setTool(null);
		
		
		if (MainFrame.getInstance().getSelection() != null) {
			JPatchCompoundEdit compoundEdit = new JPatchCompoundEdit();
			compoundEdit.addEdit(new ChangeSelectionEdit(null));
			compoundEdit.addEdit(new ChangeToolEdit(null));
			MainFrame.getInstance().getUndoManager().addEdit(compoundEdit);
			MainFrame.getInstance().getJPatchScreen().update_all();
		}
		MainFrame.getInstance().getJPatchScreen().removeAllMouseListeners();
		MainFrame.getInstance().getJPatchScreen().addMouseListeners(new AddControlPointMouseAdapter());
		MainFrame.getInstance().clearDialog();
	}
}

