package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.boundary.mouse.*;
import net.sf.jpatch.control.edit.*;

public final class AddMultiControlPointAction extends AbstractAction {
	public AddMultiControlPointAction() {
		super("",new ImageIcon(ClassLoader.getSystemResource("net/sf/jpatch/images/addmultiple.png")));
		putValue(Action.SHORT_DESCRIPTION,KeyMapping.getDescription("add multiple points"));
		//MainFrame.getInstance().getKeyEventDispatcher().setKeyActionListener(this,KeyEvent.VK_A);
	}
	public void actionPerformed(ActionEvent actionEvent) {
		if (MainFrame.getInstance().getSelection() != null) {
			JPatchCompoundEdit compoundEdit = new JPatchCompoundEdit();
			compoundEdit.addEdit(new ChangeSelectionEdit(null));
			compoundEdit.addEdit(new ChangeToolEdit(null));
			MainFrame.getInstance().getUndoManager().addEdit(compoundEdit);
			MainFrame.getInstance().getJPatchScreen().update_all();
		}
		MainFrame.getInstance().getJPatchScreen().setTool(null);
		MainFrame.getInstance().getJPatchScreen().removeAllMouseListeners();
		MainFrame.getInstance().getJPatchScreen().addMouseListeners(new AddControlPointMouseAdapter(true));
		MainFrame.getInstance().clearDialog();
		//if (MainFrame.getInstance().getSelection() != null) {
		//	MainFrame.getInstance().getUndoManager().addEdit(new ChangeSelectionEdit(null));
		//	MainFrame.getInstance().getJPatchScreen().update_all();
		//}
	}
}

