package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;

public final class AlwaysUseZBufferAction extends AbstractAction {
	private ViewDefinition viewDefinition;
	
	public AlwaysUseZBufferAction(ViewDefinition viewDefinition) {
		super("always use z-buffer");
		this.viewDefinition = viewDefinition;
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		viewDefinition.alwaysUseZBuffer(!viewDefinition.alwaysUseZBuffer());
		//((JPatchCanvas)viewDefinition.getViewport()).updateImage();
		viewDefinition.reset();
	}
}

