package net.sf.jpatch.boundary.action;

import javax.swing.*;
import java.awt.event.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.control.edit.*;

public final class ComputePatchesAction extends AbstractAction {
	public ComputePatchesAction() {
		super("",new ImageIcon(ClassLoader.getSystemResource("net/sf/jpatch/images/gear.png")));
		putValue(Action.SHORT_DESCRIPTION,KeyMapping.getDescription("compute patches"));
	}
	public void actionPerformed(ActionEvent actionEvent) {
		JPatchCompoundEdit compoundEdit = new JPatchCompoundEdit("compute Patches");
		MainFrame.getInstance().getModel().computePatches(compoundEdit);
		if (compoundEdit.isValid()) {
			MainFrame.getInstance().getUndoManager().addEdit(compoundEdit);
			MainFrame.getInstance().getJPatchScreen().update_all();
		}
	}
}

