package net.sf.jpatch.boundary.action;

import javax.swing.*;
import net.sf.jpatch.control.edit.*;
import java.awt.event.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.boundary.selection.*;

public final class DetachBoneAction extends AbstractAction {
	public DetachBoneAction() {
		super("",new ImageIcon(ClassLoader.getSystemResource("net/sf/jpatch/images/detachbone.png")));
		putValue(Action.SHORT_DESCRIPTION,"Detach bone");
	}
	public void actionPerformed(ActionEvent actionEvent) {
		Selection selection = MainFrame.getInstance().getSelection();
		if (selection != null && selection.getClass() == BoneSelection.getBoneSelectionClass()) {
			((BoneSelection)selection).getBone().setParent(null);
			MainFrame.getInstance().getJPatchScreen().full_update();
		}
	}
}
