package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;

public final class LightingHeadAction extends AbstractAction {
	private JPatchScreen screen;
	
	public LightingHeadAction(JPatchScreen screen) {
		super("Headlight");
		this.screen = screen;
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		screen.setLightingMode(screen.LIGHT_HEAD);
		JPatchSettings.getInstance().iLightingMode = screen.LIGHT_HEAD;
	}
}

