package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;

public final class LightingOffAction extends AbstractAction {
	private JPatchScreen screen;
	
	public LightingOffAction(JPatchScreen screen) {
		super("Off");
		this.screen = screen;
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		screen.setLightingMode(screen.LIGHT_OFF);
		JPatchSettings.getInstance().iLightingMode = screen.LIGHT_OFF;
	}
}

