package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;

public final class LightingSimpleAction extends AbstractAction {
	private JPatchScreen screen;
	
	public LightingSimpleAction(JPatchScreen screen) {
		super("Simple");
		this.screen = screen;
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		screen.setLightingMode(screen.LIGHT_SIMPLE);
		JPatchSettings.getInstance().iLightingMode = screen.LIGHT_SIMPLE;
	}
}

