package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;

public final class LightingThreePointAction extends AbstractAction {
	private JPatchScreen screen;
	
	public LightingThreePointAction(JPatchScreen screen) {
		super("Three point");
		this.screen = screen;
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		screen.setLightingMode(screen.LIGHT_THREE_POINT);
		JPatchSettings.getInstance().iLightingMode = screen.LIGHT_THREE_POINT;
	}
}

