package net.sf.jpatch.boundary.action;

import java.io.*;
import javax.swing.*;
import java.awt.event.*;
import net.sf.jpatch.auxilary.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.*;

public final class NewAction extends AbstractAction {
	public NewAction() {
		super("",new ImageIcon(ClassLoader.getSystemResource("net/sf/jpatch/images/new.png")));
		putValue(Action.SHORT_DESCRIPTION,"New");
	}
	public void actionPerformed(ActionEvent actionEvent) {
		if (MainFrame.getInstance().getUndoManager().hasChanged()) {
			int option = JPatchUtils.showSaveDialog();
			switch (option) {
				
				case JOptionPane.YES_OPTION:
					SaveAsAction saveAsAction = new SaveAsAction(false);
					if (saveAsAction.save()) {
						MainFrame.getInstance().NEW();
					}
					break;
				
				case JOptionPane.NO_OPTION:
					MainFrame.getInstance().NEW();
			}
		} else {
			MainFrame.getInstance().NEW();
		}
	}
}

