package net.sf.jpatch.boundary.action;

import javax.swing.*;
import java.awt.event.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.control.edit.*;

public final class RedoAction extends AbstractAction {
	public RedoAction() {
		super("",new ImageIcon(ClassLoader.getSystemResource("net/sf/jpatch/images/redo.png")));
		putValue(Action.SHORT_DESCRIPTION,KeyMapping.getDescription("redo"));
	}
	public void actionPerformed(ActionEvent actionEvent) {
		JPatchUndoManager undoManager = MainFrame.getInstance().getUndoManager();
		if (undoManager.canRedo()) {
			undoManager.redo();
			MainFrame.getInstance().getJPatchScreen().update_all();
		}
	}
}
