package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;

public final class ShowBezierAction extends AbstractAction {
	private ViewDefinition viewDefinition;
	
	public ShowBezierAction(ViewDefinition viewDefinition) {
		super("Bezier");
		this.viewDefinition = viewDefinition;
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		viewDefinition.renderBezierCPs(!viewDefinition.renderBezierCPs());
		viewDefinition.repaint();
	}
}

