package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;

public final class ShowCurvesAction extends AbstractAction {
	private ViewDefinition viewDefinition;
	
	public ShowCurvesAction(ViewDefinition viewDefinition) {
		super("curves");
		this.viewDefinition = viewDefinition;
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		viewDefinition.renderCurves(!viewDefinition.renderCurves());
		viewDefinition.repaint();
	}
}

