package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;

public final class ShowPatchesAction extends AbstractAction {
	private ViewDefinition viewDefinition;
	
	public ShowPatchesAction(ViewDefinition viewDefinition) {
		super("patches");
		this.viewDefinition = viewDefinition;
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		viewDefinition.renderPatches(!viewDefinition.renderPatches());
		//((JPatchCanvas)viewDefinition.getViewport()).updateImage();
		viewDefinition.reset();
	}
}

