package net.sf.jpatch.boundary.action;

import java.awt.event.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;

public final class ShowRotoscopeAction extends AbstractAction {
	private ViewDefinition viewDefinition;
	
	public ShowRotoscopeAction(ViewDefinition viewDefinition) {
		super("rotoscope");
		this.viewDefinition = viewDefinition;
	}
	
	public void actionPerformed(ActionEvent actionEvent) {
		viewDefinition.showRotoscope(!viewDefinition.showRotoscope());
		viewDefinition.repaint();
	}
}

