package net.sf.jpatch.boundary.action;

import javax.swing.*;
import java.io.*;
import java.awt.event.*;
import net.sf.jpatch.auxilary.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.boundary.filefilters.*;
import net.sf.jpatch.renderer.*;

public final class TestRenderRibAction extends AbstractAction {
	public TestRenderRibAction() {
		super("RenderMan");
	}
	public void actionPerformed(ActionEvent actionEvent) {
		JFileChooser fileChooser = new JFileChooser(JPatchSettings.getInstance().strRendermanPath);
		fileChooser.addChoosableFileFilter(new RibFilter());
		if (fileChooser.showSaveDialog(MainFrame.getInstance()) == JFileChooser.APPROVE_OPTION) {
			File file = fileChooser.getSelectedFile();
			String filename = file.getPath();
			if (JPatchUtils.getFileExtension(file.getName()).equals("")) {
				filename += ".inc";
			}
			JPatchRenderer renderer = new RibRenderer();
			renderer.writeToFile(filename);
			JPatchSettings.getInstance().strRendermanPath = file.getParent();
		}
	}
}
