package net.sf.jpatch.boundary.dialog;

import java.awt.*;
import java.text.*;
import javax.swing.*;
import net.sf.jpatch.boundary.*;

public class LatheDialog extends JDialog {
	private JPanel panelAxis = new JPanel();
	private JLabel labelAxisX = new JLabel("x");
	private JLabel labelAxisY = new JLabel("y");
	private JLabel labelAxisZ = new JLabel("z");
	private JTextField textAxisX = new JTextField();
	private JTextField textAxisY = new JTextField();
	private JTextField textAxisZ = new JTextField();
	private JButton buttonAxisX = new JButton("X");
	private JButton buttonAxisY = new JButton("Y");
	private JButton buttonAxisZ = new JButton("Z");
	
	private JPanel panelPivot = new JPanel();
	private JLabel labelPivotX = new JLabel("x");
	private JLabel labelPivotY = new JLabel("y");
	private JLabel labelPivotZ = new JLabel("z");
	private JTextField textPivotX = new JTextField();
	private JTextField textPivotY = new JTextField();
	private JTextField textPivotZ = new JTextField();
	private JButton buttonPivotOrigin = new JButton("origin");
	private JButton buttonPivotSelection = new JButton("selection");
	
	private JPatchSlider sliderAngle;
	
	public LatheDialog() {
		JPatchSlider.setDimensions(80,100,50,20);
		JPatchSlider.setNumberFormat(new DecimalFormat("##0"));
		sliderAngle = new JPatchSlider("angle",0,360,360);
		
		getContentPane().setLayout(new BoxLayout(getContentPane(),BoxLayout.Y_AXIS));
		panelAxis.setLayout(new GridLayout(3,3));
		panelAxis.setBorder(BorderFactory.createTitledBorder(BorderFactory.createEtchedBorder(),"Axis"));
		panelAxis.add(labelAxisX);
		panelAxis.add(textAxisX);
		panelAxis.add(buttonAxisX);
		panelAxis.add(labelAxisY);
		panelAxis.add(textAxisY);
		panelAxis.add(buttonAxisY);
		panelAxis.add(labelAxisZ);
		panelAxis.add(textAxisZ);
		panelAxis.add(buttonAxisZ);
		getContentPane().add(panelAxis);
		
		panelPivot.setLayout(new GridLayout(4,2));
		panelPivot.setBorder(BorderFactory.createTitledBorder(BorderFactory.createEtchedBorder(),"Pivot"));
		panelPivot.add(labelPivotX);
		panelPivot.add(textPivotX);
		panelPivot.add(labelPivotY);
		panelPivot.add(textPivotY);
		panelPivot.add(labelPivotZ);
		panelPivot.add(textPivotZ);
		panelPivot.add(buttonPivotOrigin);
		panelPivot.add(buttonPivotSelection);
		getContentPane().add(panelPivot);
		
		getContentPane().add(sliderAngle);
		pack();
	}
}

