package net.sf.jpatch.boundary.sidebar;

import javax.swing.*;
import javax.swing.event.*;
import javax.swing.tree.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.boundary.selection.*;
import net.sf.jpatch.boundary.action.*;

public class SelectionPanel extends SidePanel
implements ChangeListener {
	JPatchInput inputName;
	Selection selection;
	public SelectionPanel(Selection selection) {
		this.selection = selection;
		//add(new JPatchButton(new EditMaterialAction(material)));
		//add(new JPatchButton(new CloneMaterialAction(material)));
		add(new JPatchButton(new DeleteSelectionAction(selection)));
		//add(new JPatchButton(new ApplyMaterialAction(material)));
		JPatchInput.setDimensions(50,150,20);
		inputName = new JPatchInput("Name:",selection.getName());
		JPanel detailPanel = MainFrame.getInstance().getSideBar().getDetailPanel();
		detailPanel.removeAll();
		detailPanel.add(inputName);
		detailPanel.repaint();
		inputName.addChangeListener(this);
	}
	
	public void stateChanged(ChangeEvent changeEvent) {
		selection.setName(inputName.getStringValue());
		((DefaultTreeModel)MainFrame.getInstance().getTree().getModel()).nodeChanged(selection);
		MainFrame.getInstance().requestFocus();
	}

}
