package net.sf.jpatch.control.edit;

import javax.swing.undo.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.*;

public class ChangeCPParentHookEdit extends JPatchAbstractUndoableEdit {
	
	private ControlPoint cp;
	private ControlPoint cpParentHook;
	
	public ChangeCPParentHookEdit(ControlPoint cp, ControlPoint parentHook) {
		this.cp = cp;
		cpParentHook = parentHook;
		swap();
	}
	
	public void undo() {
		swap();
	}
	
	public void redo() {
		swap();
	}
	
	private void swap() {
		ControlPoint cpDummy = cpParentHook;
		cpParentHook = cp.getParentHook();
		cp.setParentHook(cpDummy);
	}
}
