package net.sf.jpatch.control.edit;

import javax.swing.undo.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.entity.*;

public class ChangeControlPointNextEdit extends JPatchAbstractUndoableEdit {
	
	private ControlPoint cp;
	private ControlPoint cpNext;
	
	public ChangeControlPointNextEdit(ControlPoint cp, ControlPoint cpNext) {
		this.cp = cp;
		this.cpNext = cpNext;
		swap();
	}
	
	public void undo() {
		swap();
	}
	
	public void redo() {
		swap();
	}
	
	private void swap() {
		ControlPoint dummy = cpNext;
		cpNext = cp.getNext();
		cp.setNext(dummy);
	}
}
