package net.sf.jpatch.control.edit;

import javax.swing.undo.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.selection.*;

/**
 *  Changes the bLoop flag of a ControlPoint
 */
public class ChangeSelectionMaterialEdit extends JPatchCompoundEdit {

	private PointSelection ps;
	private JPatchMaterial material;
	
	/**
	* @param cp The ControlPoint to change
	* @param loop The new value for bLoop
	**/
	public ChangeSelectionMaterialEdit(PointSelection pointSelection, JPatchMaterial material) {
		ps = pointSelection;
		this. material = material;
		for (Patch patch = MainFrame.getInstance().getModel().getFirstPatch(); patch != null; patch = patch.getNext()) {
			if (patch.isSelected(ps)) {
				addEdit(new ChangePatchMaterialEdit(patch,material));
			}
		}
	}
}


