package net.sf.jpatch.control.edit;

import java.util.*;
import net.sf.jpatch.auxilary.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.selection.*;

public class NewCloneEdit extends CloneCommonEdit {
	
	private static int iSequenceNumber = 1;
	
	public NewCloneEdit(ControlPoint[] controlPointsToClone) {
		super(controlPointsToClone);
		buildCloneMap(true);
		cloneControlPoints();
		cloneCurves();
		clonePatches();
		PointSelection ps = createNewSelection();
		if (ps.getSize() > 0) {
			ps.setName("clone #" + iSequenceNumber++);
			addEdit(new ChangeSelectionEdit(ps));
			addEdit(new AddSelectionEdit(ps));
		}
	}
}

