package net.sf.jpatch.control.edit;

import javax.swing.undo.*;
import net.sf.jpatch.entity.*;
import net.sf.jpatch.boundary.*;

public class ReverseCurveEdit extends JPatchAbstractUndoableEdit {
	
	private Curve curve;
	
	public ReverseCurveEdit(Curve curve) {
		this.curve = curve;
		curve.reverse();
	}
	
	public String name() {
		return "reverse curve";
	}
	
	public void undo() {
		curve.reverse();
	}
	
	public void redo() {
		curve.reverse();
	}
}

			
