package net.sf.jpatch.entity;

import javax.vecmath.*;
import net.sf.jpatch.boundary.*;
import net.sf.jpatch.entity.*;

public class Morph extends JPatchTreeLeaf {
	private ControlPoint[] acp;
	private Vector3f[] av3;
	private float fValue = 0;
	private float fMin = 0;
	private float fMax = 1;
	
	public Morph(int type, String name) {
		iNodeType = type;
		strName = name;
	}
	
	public void setMin(float min) {
		fMin = min;
	}
	
	public void setMax(float max) {
		fMax = max;
	}
	
	public float getMin() {
		return fMin;
	}
	
	public float getMax() {
		return fMax;
	}
	
	public float getValue() {
		return fValue;
	}
}
