package net.sf.jpatch.plugin;

import java.io.*;
import javax.swing.*;

public abstract class ActionPlugin extends AbstractAction implements JPatchPlugin {

	protected String[] astrRequirements = new String[] { };
	protected String strJarFile;
	
	public ActionPlugin(String name, Icon icon) {
		super(name,icon);
	}
	
	public boolean init(String jarFile) {
		strJarFile = jarFile;
		return false;
	}
	
	public String getPluginID() {
		return ".jpatch.ActionPlugin";
	}
	
	public String[] getRequirements() {
		return astrRequirements;
	}
	
}
